%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

%global apiver 1.4
# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw32-pangomm
Version:        2.28.2
Release:        1%{?dist}
Summary:        MinGW Windows C++ interface for Pango

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/pangomm/%{release_version}/pangomm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glibmm24 >= 2.14.1
BuildRequires:  mingw32-cairomm >= 1.2.2
BuildRequires:  mingw32-pango >= 1.21.4
BuildRequires:  doxygen
BuildRequires:  graphviz

Requires:       pkgconfig


%description
pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%{?_mingw32_debug_package}


%prep
%setup -q -n pangomm-%{version}


%build
%{_mingw32_configure} --disable-static --disable-documentation
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING COPYING.tools
%{_mingw32_bindir}/libpangomm-%{apiver}-1.dll
%{_mingw32_libdir}/libpangomm-%{apiver}.la
%{_mingw32_libdir}/libpangomm-%{apiver}.dll.a
%{_mingw32_libdir}/pkgconfig/pangomm-%{apiver}.pc
%{_mingw32_libdir}/pangomm-%{apiver}/
%{_mingw32_includedir}/pangomm-%{apiver}


%changelog
* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.2-1
- Update to 2.28.2
- Use macro for calculating two digit version in download url
- Own libdir/pangomm-1.4/ dir

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.27.1-2
- Rebuilt for proxy-libintl removal

* Sun Feb 13 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.27.1-1
- update to 2.27.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.26.2-1
- update to 2.26.2

* Sun Sep 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.26.0-1
- update to 2.26.0 to match native package

* Sun Sep 20 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.25.1.3-2
- also package pangommconfig.h

* Sat Sep 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.25.1.3-1
- update to 2.25.1.3 to match native package

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.0-3
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.0-2
- replace %%define with %%global

* Tue Apr  7 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.0-1
- Update to upstream 2.24.0, to keep mingw32 package in sync with
  native pangomm

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.14.1-1
- update to 2.14.1

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-6
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-5
- Include license file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-4
- Use _smp_mflags.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-3
- Requires pkgconfig.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.0-2
- Initial RPM release.
